Apt-get update failed


#1
e[0K$ sudo apt-get upgrade

45% [42 libavahi-client3 11.4 kB/25.3 kB 45%]

(Reading database … 124177 files and directories currently installed.)
Preparing to unpack …/libapt-inst2.0_1.2.29ubuntu0.1_amd64.deb …
Unpacking libapt-inst2.0:amd64 (1.2.29ubuntu0.1) over (1.2.29) …
Preparing to unpack …/apt_1.2.29ubuntu0.1_amd64.deb …
deb-systemd-invoke only supports /usr/sbin/policy-rc.d return code 101 and 104!
Got return code 0, ignoring.
deb-systemd-invoke only supports /usr/sbin/policy-rc.d return code 101 and 104!
Got return code 0, ignoring.
Unpacking apt (1.2.29ubuntu0.1) over (1.2.29) …
Processing triggers for libc-bin (2.23-0ubuntu10) …
Processing triggers for man-db (2.7.5-1) …
Setting up apt (1.2.29ubuntu0.1) …
deb-systemd-invoke only supports /usr/sbin/policy-rc.d return code 101 and 104!
Got return code 0, ignoring.
deb-systemd-invoke only supports /usr/sbin/policy-rc.d return code 101 and 104!
Got return code 0, ignoring.
apt-daily-upgrade.timer is a disabled or a static unit, not starting it.
apt-daily.timer is a disabled or a static unit, not starting it.
Processing triggers for libc-bin (2.23-0ubuntu10) …
(Reading database …
(Reading database … 5%
(Reading database … 10%
(Reading database … 15%
(Reading database … 20%
(Reading database … 25%
(Reading database … 30%
(Reading database … 35%
(Reading database … 40%
(Reading database … 45%
(Reading database … 50%
(Reading database … 55%
(Reading database … 60%
(Reading database … 65%
(Reading database … 70%
(Reading database … 75%
(Reading database … 80%
(Reading database … 85%
(Reading database … 90%
(Reading database … 95%
(Reading database … 100%
(Reading database … 124177 files and directories currently installed.)
Preparing to unpack …/apt-utils_1.2.29ubuntu0.1_amd64.deb …
Unpacking apt-utils (1.2.29ubuntu0.1) over (1.2.29) …
Preparing to unpack …/systemd-sysv_229-4ubuntu21.15_amd64.deb …
Unpacking systemd-sysv (229-4ubuntu21.15) over (229-4ubuntu21.4) …
Processing triggers for man-db (2.7.5-1) …
Setting up systemd-sysv (229-4ubuntu21.15) …
(Reading database …
(Reading database … 5%
(Reading database … 10%
(Reading database … 15%
(Reading database … 20%
(Reading database … 25%
(Reading database … 30%
(Reading database … 35%
(Reading database … 40%
(Reading database … 45%
(Reading database … 50%
(Reading database … 55%
(Reading database … 60%
(Reading database … 65%
(Reading database … 70%
(Reading database … 75%
(Reading database … 80%
(Reading database … 85%
(Reading database … 90%
(Reading database … 95%
(Reading database … 100%
(Reading database … 124177 files and directories currently installed.)
Preparing to unpack …/libpam-systemd_229-4ubuntu21.15_amd64.deb …
Unpacking libpam-systemd:amd64 (229-4ubuntu21.15) over (229-4ubuntu21.4) …
Preparing to unpack …/postgresql-common_199.pgdg16.04+1_all.deb …
Leaving ‘diversion of /usr/bin/pg_config to /usr/bin/pg_config.libpq-dev by postgresql-common’
Unpacking postgresql-common (199.pgdg16.04+1) over (197.pgdg16.04+1) …
Preparing to unpack …/postgresql-client-common_199.pgdg16.04+1_all.deb …
Unpacking postgresql-client-common (199.pgdg16.04+1) over (197.pgdg16.04+1) …
Preparing to unpack …/libsystemd0_229-4ubuntu21.15_amd64.deb …
Unpacking libsystemd0:amd64 (229-4ubuntu21.15) over (229-4ubuntu21.4) …
Processing triggers for man-db (2.7.5-1) …
Processing triggers for ureadahead (0.100.0-19) …
Processing triggers for libc-bin (2.23-0ubuntu10) …
Setting up libsystemd0:amd64 (229-4ubuntu21.15) …
Processing triggers for libc-bin (2.23-0ubuntu10) …
(Reading database …
(Reading database … 5%
(Reading database … 10%
(Reading database … 15%
(Reading database … 20%
(Reading database … 25%
(Reading database … 30%
(Reading database … 35%
(Reading database … 40%
(Reading database … 45%
(Reading database … 50%
(Reading database … 55%
(Reading database … 60%
(Reading database … 65%
(Reading database … 70%
(Reading database … 75%
(Reading database … 80%
(Reading database … 85%
(Reading database … 90%
(Reading database … 95%
(Reading database … 100%
(Reading database … 124177 files and directories currently installed.)
Preparing to unpack …/systemd_229-4ubuntu21.15_amd64.deb …
Unpacking systemd (229-4ubuntu21.15) over (229-4ubuntu21.4) …
Processing triggers for ureadahead (0.100.0-19) …
Processing triggers for dbus (1.10.6-1ubuntu3.3) …
Processing triggers for man-db (2.7.5-1) …
Setting up systemd (229-4ubuntu21.15) …
addgroup: The group systemd-journal' already exists as a system group. Exiting. [/usr/lib/tmpfiles.d/var.conf:14] Duplicate line for path "/var/log", ignoring. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 124177 files and directories currently installed.) Preparing to unpack .../mysql-client-core-5.7_5.7.25-0ubuntu0.16.04.2_amd64.deb ... Unpacking mysql-client-core-5.7 (5.7.25-0ubuntu0.16.04.2) over (5.7.24-0ubuntu0.16.04.1) ... Preparing to unpack .../mysql-common_5.7.25-0ubuntu0.16.04.2_all.deb ... Unpacking mysql-common (5.7.25-0ubuntu0.16.04.2) over (5.7.24-0ubuntu0.16.04.1) ... Preparing to unpack .../mysql-client-5.7_5.7.25-0ubuntu0.16.04.2_amd64.deb ... Unpacking mysql-client-5.7 (5.7.25-0ubuntu0.16.04.2) over (5.7.24-0ubuntu0.16.04.1) ... Processing triggers for man-db (2.7.5-1) ... Setting up mysql-common (5.7.25-0ubuntu0.16.04.2) ... (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 124177 files and directories currently installed.) Preparing to unpack .../mysql-server-5.7_5.7.25-0ubuntu0.16.04.2_amd64.deb ... Unpacking mysql-server-5.7 (5.7.25-0ubuntu0.16.04.2) over (5.7.24-0ubuntu0.16.04.1) ... Preparing to unpack .../mysql-server-core-5.7_5.7.25-0ubuntu0.16.04.2_amd64.deb ... Unpacking mysql-server-core-5.7 (5.7.25-0ubuntu0.16.04.2) over (5.7.24-0ubuntu0.16.04.1) ... Preparing to unpack .../open-iscsi_2.0.873+git0.3b4b4500-14ubuntu3.7_amd64.deb ... Unpacking open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.7) over (2.0.873+git0.3b4b4500-14ubuntu3.6) ... Preparing to unpack .../distro-info-data_0.28ubuntu0.9_all.deb ... Unpacking distro-info-data (0.28ubuntu0.9) over (0.28ubuntu0.8) ... Preparing to unpack .../curl_7.47.0-1ubuntu2.12_amd64.deb ... Unpacking curl (7.47.0-1ubuntu2.12) over (7.47.0-1ubuntu2.11) ... Preparing to unpack .../libcurl4-gnutls-dev_7.47.0-1ubuntu2.12_amd64.deb ... Unpacking libcurl4-gnutls-dev:amd64 (7.47.0-1ubuntu2.12) over (7.47.0-1ubuntu2.11) ... Preparing to unpack .../libkrb5-dev_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libkrb5-dev (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../krb5-multidev_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking krb5-multidev (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libk5crypto3_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libk5crypto3:amd64 (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libgssapi-krb5-2_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libgssapi-krb5-2:amd64 (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libkrb5-3_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libkrb5-3:amd64 (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libkrb5support0_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libkrb5support0:amd64 (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libgssrpc4_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libgssrpc4:amd64 (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libkdb5-8_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libkdb5-8:amd64 (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libkadm5srv-mit9_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libkadm5srv-mit9:amd64 (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libkadm5clnt-mit9_1.13.2+dfsg-5ubuntu2.1_amd64.deb ... Unpacking libkadm5clnt-mit9:amd64 (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libcurl3-gnutls_7.47.0-1ubuntu2.12_amd64.deb ... Unpacking libcurl3-gnutls:amd64 (7.47.0-1ubuntu2.12) over (7.47.0-1ubuntu2.11) ... Preparing to unpack .../apt-transport-https_1.2.29ubuntu0.1_amd64.deb ... Unpacking apt-transport-https (1.2.29ubuntu0.1) over (1.2.29) ... Preparing to unpack .../krb5-locales_1.13.2+dfsg-5ubuntu2.1_all.deb ... Unpacking krb5-locales (1.13.2+dfsg-5ubuntu2.1) over (1.13.2+dfsg-5ubuntu2) ... Preparing to unpack .../libpolkit-gobject-1-0_0.105-14.1ubuntu0.4_amd64.deb ... Unpacking libpolkit-gobject-1-0:amd64 (0.105-14.1ubuntu0.4) over (0.105-14.1ubuntu0.1) ... Preparing to unpack .../openssh-sftp-server_1%3a7.2p2-4ubuntu2.7_amd64.deb ... Unpacking openssh-sftp-server (1:7.2p2-4ubuntu2.7) over (1:7.2p2-4ubuntu2.6) ... Preparing to unpack .../openssh-server_1%3a7.2p2-4ubuntu2.7_amd64.deb ... Unpacking openssh-server (1:7.2p2-4ubuntu2.7) over (1:7.2p2-4ubuntu2.6) ... Preparing to unpack .../openssh-client_1%3a7.2p2-4ubuntu2.7_amd64.deb ... Unpacking openssh-client (1:7.2p2-4ubuntu2.7) over (1:7.2p2-4ubuntu2.6) ... Preparing to unpack .../libavahi-common-data_0.6.32~rc+dfsg-1ubuntu2.3_amd64.deb ... Unpacking libavahi-common-data:amd64 (0.6.32~rc+dfsg-1ubuntu2.3) over (0.6.32~rc+dfsg-1ubuntu2.2) ... Preparing to unpack .../libavahi-common3_0.6.32~rc+dfsg-1ubuntu2.3_amd64.deb ... Unpacking libavahi-common3:amd64 (0.6.32~rc+dfsg-1ubuntu2.3) over (0.6.32~rc+dfsg-1ubuntu2.2) ... Preparing to unpack .../libavahi-client3_0.6.32~rc+dfsg-1ubuntu2.3_amd64.deb ... Unpacking libavahi-client3:amd64 (0.6.32~rc+dfsg-1ubuntu2.3) over (0.6.32~rc+dfsg-1ubuntu2.2) ... Preparing to unpack .../libcups2_2.1.3-4ubuntu0.7_amd64.deb ... Unpacking libcups2:amd64 (2.1.3-4ubuntu0.7) over (2.1.3-4ubuntu0.6) ... Preparing to unpack .../libcurl3_7.47.0-1ubuntu2.12_amd64.deb ... Unpacking libcurl3:amd64 (7.47.0-1ubuntu2.12) over (7.47.0-1ubuntu2.11) ... Preparing to unpack .../libhashkit-dev_1.0.18-4.1ubuntu2_amd64.deb ... Unpacking libhashkit-dev (1.0.18-4.1ubuntu2) over (1.0.18-4.1) ... Preparing to unpack .../libmemcached-dev_1.0.18-4.1ubuntu2_amd64.deb ... Unpacking libmemcached-dev (1.0.18-4.1ubuntu2) over (1.0.18-4.1) ... Preparing to unpack .../libmemcached11_1.0.18-4.1ubuntu2_amd64.deb ... Unpacking libmemcached11:amd64 (1.0.18-4.1ubuntu2) over (1.0.18-4.1) ... Preparing to unpack .../libmemcachedutil2_1.0.18-4.1ubuntu2_amd64.deb ... Unpacking libmemcachedutil2:amd64 (1.0.18-4.1ubuntu2) over (1.0.18-4.1) ... Preparing to unpack .../libhashkit2_1.0.18-4.1ubuntu2_amd64.deb ... Unpacking libhashkit2:amd64 (1.0.18-4.1ubuntu2) over (1.0.18-4.1) ... Preparing to unpack .../libmspack0_0.5-1ubuntu0.16.04.3_amd64.deb ... Unpacking libmspack0:amd64 (0.5-1ubuntu0.16.04.3) over (0.5-1ubuntu0.16.04.2) ... Preparing to unpack .../libmysqlclient-dev_5.7.25-0ubuntu0.16.04.2_amd64.deb ... Unpacking libmysqlclient-dev (5.7.25-0ubuntu0.16.04.2) over (5.7.24-0ubuntu0.16.04.1) ... Preparing to unpack .../libmysqlclient20_5.7.25-0ubuntu0.16.04.2_amd64.deb ... Unpacking libmysqlclient20:amd64 (5.7.25-0ubuntu0.16.04.2) over (5.7.24-0ubuntu0.16.04.1) ... Preparing to unpack .../libpolkit-agent-1-0_0.105-14.1ubuntu0.4_amd64.deb ... Unpacking libpolkit-agent-1-0:amd64 (0.105-14.1ubuntu0.4) over (0.105-14.1ubuntu0.1) ... Preparing to unpack .../libpolkit-backend-1-0_0.105-14.1ubuntu0.4_amd64.deb ... Unpacking libpolkit-backend-1-0:amd64 (0.105-14.1ubuntu0.4) over (0.105-14.1ubuntu0.1) ... Preparing to unpack .../libpq-dev_11.1-3.pgdg16.04+1_amd64.deb ... Unpacking libpq-dev (11.1-3.pgdg16.04+1) over (11.1-1.pgdg16.04+1) ... Preparing to unpack .../libpq5_11.1-3.pgdg16.04+1_amd64.deb ... Unpacking libpq5:amd64 (11.1-3.pgdg16.04+1) over (11.1-1.pgdg16.04+1) ... Preparing to unpack .../libtiff5-dev_4.0.6-1ubuntu0.5_amd64.deb ... Unpacking libtiff5-dev:amd64 (4.0.6-1ubuntu0.5) over (4.0.6-1ubuntu0.4) ... Preparing to unpack .../libtiffxx5_4.0.6-1ubuntu0.5_amd64.deb ... Unpacking libtiffxx5:amd64 (4.0.6-1ubuntu0.5) over (4.0.6-1ubuntu0.4) ... Preparing to unpack .../libtiff5_4.0.6-1ubuntu0.5_amd64.deb ... Unpacking libtiff5:amd64 (4.0.6-1ubuntu0.5) over (4.0.6-1ubuntu0.4) ... Preparing to unpack .../linux-image-generic-lts-xenial_4.4.0.142.148_amd64.deb ... Unpacking linux-image-generic-lts-xenial (4.4.0.142.148) over (4.4.0.141.147) ... Preparing to unpack .../linux-libc-dev_4.4.0-142.168_amd64.deb ... Unpacking linux-libc-dev:amd64 (4.4.0-142.168) over (4.4.0-141.167) ... Preparing to unpack .../openjdk-8-jdk_8u191-b12-2ubuntu0.16.04.1_amd64.deb ... Unpacking openjdk-8-jdk:amd64 (8u191-b12-2ubuntu0.16.04.1) over (8u191-b12-0ubuntu0.16.04.1) ... Preparing to unpack .../openjdk-8-jdk-headless_8u191-b12-2ubuntu0.16.04.1_amd64.deb ... Unpacking openjdk-8-jdk-headless:amd64 (8u191-b12-2ubuntu0.16.04.1) over (8u191-b12-0ubuntu0.16.04.1) ... Preparing to unpack .../openjdk-8-jre_8u191-b12-2ubuntu0.16.04.1_amd64.deb ... Unpacking openjdk-8-jre:amd64 (8u191-b12-2ubuntu0.16.04.1) over (8u191-b12-0ubuntu0.16.04.1) ... Preparing to unpack .../openjdk-8-jre-headless_8u191-b12-2ubuntu0.16.04.1_amd64.deb ... Unpacking openjdk-8-jre-headless:amd64 (8u191-b12-2ubuntu0.16.04.1) over (8u191-b12-0ubuntu0.16.04.1) ... Preparing to unpack .../policykit-1_0.105-14.1ubuntu0.4_amd64.deb ... Created symlink from /run/systemd/system/polkitd.service to /dev/null. Unpacking policykit-1 (0.105-14.1ubuntu0.4) over (0.105-14.1ubuntu0.1) ... Preparing to unpack .../postgresql-client-9.5_9.5.15-1.pgdg16.04+1_amd64.deb ... Unpacking postgresql-client-9.5 (9.5.15-1.pgdg16.04+1) over (9.5.14-0ubuntu0.16.04) ... Preparing to unpack .../python3-cryptography_1.2.3-1ubuntu0.2_amd64.deb ... Unpacking python3-cryptography (1.2.3-1ubuntu0.2) over (1.2.3-1ubuntu0.1) ... Preparing to unpack .../sosreport_3.6-1ubuntu0.16.04.2_amd64.deb ... Unpacking sosreport (3.6-1ubuntu0.16.04.2) over (3.5-1~ubuntu16.04.3) ... Preparing to unpack .../cloud-init_18.4-0ubuntu1~16.04.2_all.deb ... Unpacking cloud-init (18.4-0ubuntu1~16.04.2) over (18.3-9-g2e62cb8a-0ubuntu1~16.04.2) ... Processing triggers for systemd (229-4ubuntu21.15) ... Processing triggers for ureadahead (0.100.0-19) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for initramfs-tools (0.122ubuntu8.14) ... update-initramfs: Not updating initramfs. Processing triggers for libc-bin (2.23-0ubuntu10) ... Processing triggers for ufw (0.35-0ubuntu2) ... Processing triggers for hicolor-icon-theme (0.15-0ubuntu1.1) ... Processing triggers for mime-support (3.59ubuntu1) ... Processing triggers for dbus (1.10.6-1ubuntu3.3) ... Setting up libapt-inst2.0:amd64 (1.2.29ubuntu0.1) ... Setting up apt-utils (1.2.29ubuntu0.1) ... Setting up libpam-systemd:amd64 (229-4ubuntu21.15) ... Setting up postgresql-client-common (199.pgdg16.04+1) ... Setting up postgresql-common (199.pgdg16.04+1) ... insserv: warning: current start runlevel(s) (empty) of scriptpostgresql’ overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script postgresql' overrides LSB defaults (0 1 6). Setting up mysql-client-core-5.7 (5.7.25-0ubuntu0.16.04.2) ... Setting up mysql-client-5.7 (5.7.25-0ubuntu0.16.04.2) ... Setting up mysql-server-core-5.7 (5.7.25-0ubuntu0.16.04.2) ... Setting up mysql-server-5.7 (5.7.25-0ubuntu0.16.04.2) ... insserv: warning: current start runlevel(s) (empty) of scriptmysql’ overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `mysql’ overrides LSB defaults (0 1 6).
mysql_upgrade: Got error: 2002: Can’t connect to local MySQL server through socket ‘/var/run/mysqld/mysqld.sock’ (2) while connecting to the MySQL server
Upgrade process encountered error and will not continue.
mysql_upgrade failed with exit status 11
dpkg: error processing package mysql-server-5.7 (–configure):
subprocess installed post-installation script returned error exit status 1
Setting up open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.7) …
Setting up distro-info-data (0.28ubuntu0.9) …
Setting up libkrb5support0:amd64 (1.13.2+dfsg-5ubuntu2.1) …
Setting up libk5crypto3:amd64 (1.13.2+dfsg-5ubuntu2.1) …
Setting up libkrb5-3:amd64 (1.13.2+dfsg-5ubuntu2.1) …
Setting up libgssapi-krb5-2:amd64 (1.13.2+dfsg-5ubuntu2.1) …
Setting up libcurl3-gnutls:amd64 (7.47.0-1ubuntu2.12) …
Setting up curl (7.47.0-1ubuntu2.12) …
Setting up libcurl4-gnutls-dev:amd64 (7.47.0-1ubuntu2.12) …
Setting up libgssrpc4:amd64 (1.13.2+dfsg-5ubuntu2.1) …
Setting up libkdb5-8:amd64 (1.13.2+dfsg-5ubuntu2.1) …
Setting up libkadm5srv-mit9:amd64 (1.13.2+dfsg-5ubuntu2.1) …
Setting up libkadm5clnt-mit9:amd64 (1.13.2+dfsg-5ubuntu2.1) …
Setting up krb5-multidev (1.13.2+dfsg-5ubuntu2.1) …
Setting up libkrb5-dev (1.13.2+dfsg-5ubuntu2.1) …
Setting up apt-transport-https (1.2.29ubuntu0.1) …
Setting up krb5-locales (1.13.2+dfsg-5ubuntu2.1) …
Setting up libpolkit-gobject-1-0:amd64 (0.105-14.1ubuntu0.4) …
Setting up openssh-client (1:7.2p2-4ubuntu2.7) …
Setting up openssh-sftp-server (1:7.2p2-4ubuntu2.7) …
Setting up openssh-server (1:7.2p2-4ubuntu2.7) …
Setting up libavahi-common-data:amd64 (0.6.32~rc+dfsg-1ubuntu2.3) …
Setting up libavahi-common3:amd64 (0.6.32~rc+dfsg-1ubuntu2.3) …
Setting up libavahi-client3:amd64 (0.6.32~rc+dfsg-1ubuntu2.3) …
Setting up libcups2:amd64 (2.1.3-4ubuntu0.7) …
Setting up libcurl3:amd64 (7.47.0-1ubuntu2.12) …
Setting up libhashkit2:amd64 (1.0.18-4.1ubuntu2) …
Setting up libhashkit-dev (1.0.18-4.1ubuntu2) …
Setting up libmemcached11:amd64 (1.0.18-4.1ubuntu2) …
Setting up libmemcachedutil2:amd64 (1.0.18-4.1ubuntu2) …
Setting up libmemcached-dev (1.0.18-4.1ubuntu2) …
Setting up libmspack0:amd64 (0.5-1ubuntu0.16.04.3) …
Setting up libmysqlclient20:amd64 (5.7.25-0ubuntu0.16.04.2) …
Setting up libmysqlclient-dev (5.7.25-0ubuntu0.16.04.2) …
Setting up libpolkit-agent-1-0:amd64 (0.105-14.1ubuntu0.4) …
Setting up libpolkit-backend-1-0:amd64 (0.105-14.1ubuntu0.4) …
Setting up libpq5:amd64 (11.1-3.pgdg16.04+1) …
Setting up libpq-dev (11.1-3.pgdg16.04+1) …
Setting up libtiff5:amd64 (4.0.6-1ubuntu0.5) …
Setting up libtiffxx5:amd64 (4.0.6-1ubuntu0.5) …
Setting up libtiff5-dev:amd64 (4.0.6-1ubuntu0.5) …
Setting up linux-image-generic-lts-xenial (4.4.0.142.148) …
Setting up linux-libc-dev:amd64 (4.4.0-142.168) …
Setting up openjdk-8-jre-headless:amd64 (8u191-b12-2ubuntu0.16.04.1) …
Installing new version of config file /etc/java-8-openjdk/net.properties …
Setting up openjdk-8-jre:amd64 (8u191-b12-2ubuntu0.16.04.1) …
Setting up openjdk-8-jdk-headless:amd64 (8u191-b12-2ubuntu0.16.04.1) …
Setting up openjdk-8-jdk:amd64 (8u191-b12-2ubuntu0.16.04.1) …
Setting up policykit-1 (0.105-14.1ubuntu0.4) …
Removed symlink /run/systemd/system/polkitd.service.
deb-systemd-invoke only supports /usr/sbin/policy-rc.d return code 101 and 104!
Got return code 0, ignoring.
Setting up postgresql-client-9.5 (9.5.15-1.pgdg16.04+1) …
Setting up python3-cryptography (1.2.3-1ubuntu0.2) …
Setting up sosreport (3.6-1ubuntu0.16.04.2) …
Setting up cloud-init (18.4-0ubuntu1~16.04.2) …
Installing new version of config file /etc/bash_completion.d/cloud-init …
Installing new version of config file /etc/profile.d/Z99-cloud-locale-test.sh …
Installing new version of config file /etc/profile.d/Z99-cloudinit-warnings.sh …
Leaving ‘diversion of /etc/init/ureadahead.conf to /etc/init/ureadahead.conf.disabled by cloud-init’
Processing triggers for libc-bin (2.23-0ubuntu10) …
Processing triggers for initramfs-tools (0.122ubuntu8.14) …
update-initramfs: Not updating initramfs.
Errors were encountered while processing:
mysql-server-5.7
E: Sub-process /usr/bin/dpkg returned an error code (1)
travis_time:end:02c4f430:start=1549850852835328717,finish=1549850909808830841,duration=56973502124
e[0Ke[31;1mThe command “sudo apt-get upgrade” failed and exited with 100 during .e[0m

Your build has been stopped.


#2

I don’t think it’s a good idea to run apt-get upgrade (the title says “update”, but the log says “upgrade”).


#3

yes, upgrade.


#4

I’ll take this back. I’m not sure why the command fails.


#5

The command fails because of this:

mysql_upgrade: Got error: 2002: Can’t connect to local MySQL server through socket ‘/var/run/mysqld/mysqld.sock’ (2) while connecting to the MySQL server

This is a bug in mysql’s Ubuntu upgrade script: https://bugs.launchpad.net/ubuntu/+source/mysql-5.7/+bug/1605948

Still, there’s absolutely no point to do a full apt-get upgrade on a builder. What are you trying to achieve?


#6

As I want to install some package through apt-get install, but can not find them. So I add the upgrade first. It worked until this error appeared yesterday. And not all execution have this problem… some times it is OK


#7

apt-get update will fetch the latest metadata, after which you should be able to install your package.


#8

I checked my script. I use update in my task, but upgrade by mistake in my test task…
update is right… Thanks…